import java.awt.image.BufferedImage;

/**
 * Represents a filter that can be applied to a BufferedImage.
 */
public interface BufferedImageFilter {
	/**
	 * Transforms the pixels in the specified BufferedImage.
	 */
	public void filter(BufferedImage img);
	
	/**
	 * @return			the name of this filter
	 */
	public String toString();
}