public class HueChannelFilter implements PixelFilter {
	// ### FILTER ###
	
	public int filter(int pixel) {
		int intensity = Pixels.getHue(Pixels.ARGBToAHSB(pixel));
		return Pixels.packPixel(
			Pixels.getAlpha(pixel),
			intensity,
			intensity,
			intensity);
	}
	
	public String toString() {
		return "HSB Channel (Hue)";
	}
}